Package org.eclipse.mat.inspections.threads

# Class TaskInfo

java.lang.Object
org.eclipse.mat.inspections.threads.TaskInfo

public class TaskInfo extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`addSubtask(TaskInfo subtask)`
`String`
`getId()`
`String`
`getName()`
`String`
`getSequence()`
`String`
`getState()`
`List<TaskInfo>`
`getSubtasks()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSequence

public String getSequence()

### getId

public String getId()

### getName

public String getName()

### getState

public String getState()

### addSubtask

public void addSubtask(TaskInfo subtask)

### getSubtasks

public List<TaskInfo> getSubtasks()